using System;
using System.Diagnostics;
using Avalonia.Controls;
using Ocarina2.ViewModels;
using ReactiveUI;

namespace Ocarina2.Views;

public partial class MainWindow : Window
{
    public MainWindow()
    {
        InitializeComponent();
        Closing += (sender, args) =>
        {
            // dispose on closea
            if (sender == null) return;
            if (sender.ToString() != "Ocarina2.Views.MainWindow") return;
            App.Client.Dispose();
            (DataContext as MainWindowViewModel)?.Stop();
        };
    }
}